// include libraries like https://learn.adafruit.com/adafruit-motor-shield-v2-for-arduino/using-dc-motors

#include <Wire.h>
#include <Adafruit_MotorShield.h>
#include "utility/Adafruit_MS_PWMServoDriver.h"

Adafruit_MotorShield AFMS1= Adafruit_MotorShield(0x60);   // call function for using motorshield with assigned adress (Bottom)
Adafruit_MotorShield AFMS2= Adafruit_MotorShield(0x61);   // call function for using motorshield with assigned adress (Top)

Adafruit_DCMotor *motor1 = AFMS1.getMotor(1);             // specify that DC motors connected to first shield
Adafruit_DCMotor *motor2 = AFMS1.getMotor(2);          
Adafruit_DCMotor *motor3 = AFMS1.getMotor(3);          
Adafruit_DCMotor *motor4 = AFMS1.getMotor(4);          
Adafruit_DCMotor *motor5 = AFMS2.getMotor(1);             // specify that DC motors connected to second shield
Adafruit_DCMotor *motor6 = AFMS2.getMotor(2);      
Adafruit_DCMotor *motor7 = AFMS2.getMotor(3);          
Adafruit_DCMotor *motor8 = AFMS2.getMotor(4);    

int nrOfMotors = 8;

Adafruit_DCMotor *motors[nrOfMotors] = {
  motor1, motor2, motor3, motor4, motor5, motor6, motor7, motor8,
};
unsigned char sensorpins[3] = {
  A15, A14, A13,
};

void setup() {
  // put your setup code here, to run once:
  AFMS1.begin();             
  AFMS2.begin();
  Serial.begin(9600); 
}

void loop() {
  // four motors react to A15
  // two motors mapped to input from A14 or A13
  int currentPin = 0;
  int currentOutput;
  for (int i = 0; i < motorsLength; i++) {
    switch(i){
      case 0: currentPin = 0;  break;
      case 2: currentPin = 1;  break;
      case 4: currentPin = 2;  break;
    }
    currentOutput = map(analogRead(sensorpins[currentPin]), 0, 1023,0, 175);
    motors[i] -> setSpeed(currentOutput); 
    motors[i] -> run(FORWARD); 
  }
}
